<?php
function page($pagetotal,$pagesize,$pageurl)
{
	$pagenum=ceil($pagetotal/$pagesize);
	
	//得到传递页数
	if(isset($_GET['pageid'])&&!empty($_GET['pageid']))
	{
		$pageid=intval($_GET['pageid']);
	}
	else
	{
		$pageid=1;
	}
	
	$pageinfo="共".$pagetotal."条记录/".$pagenum."页";
	
	if($pagenum>1)
	{
		
	if($pageid==1 && $pagenum>1)
	{
			$pagelinks="&nbsp;&nbsp;<a href='#' onclick='return get(1)'>首页</a>&nbsp;"."&nbsp;上一页&nbsp;"."<a href='#' onclick='return get($pageid+1)'>下一页"."</a>&nbsp;&nbsp;<a href='#' onclick='return get($pagenum)'>末页</a>";
	}
		elseif($pageid==$pagenum && $pagenum>1)
		{
			$pagelinks="&nbsp;&nbsp;<a href='#' onclick='return get(1)'>首页</a>&nbsp;&nbsp;"."<a href='#' onclick='return get($pageid-1)'>上一页"."</a>"."&nbsp;&nbsp;下一页&nbsp;&nbsp;<a href='#' onclick='return get($pagenum)'>末页</a>";
		}
		elseif($pageid>1 && $pageid<$pagenum)
		{
			$pagelinks="&nbsp;&nbsp;<a href='#' onclick='return get(1)'>首页</a>&nbsp;&nbsp;"."<a href='#' onclick='return get($pageid-1)'>上一页"."</a>"."<a href='#' onclick='return get($pageid+1)'>下一页"."</a>&nbsp;&nbsp;<a href='#' onclick='return get($pagenum)'>末页</a>";
		}
		else
		{
			$pagelinks="";
		}
	}
 echo $pageinfo.$pagelinks;
}
?>